using System;
using System.Windows;
using System.Data;
using System.Xml;
using System.Configuration;
using System.Threading;
using System.Globalization;
using System.Collections.Generic;

namespace WindowsApplication1
{
    public partial class App : Application
    {
        ResourceDictionary _currentCultureDictionary = null;

        void AppStartup(object sender, StartupEventArgs e)
        {
            LoadCultureStrings("en-US");
        }

        internal void LoadCultureStrings(string name)
        {
            ResourceDictionary newCultureDictionary = null;
            try
            {
                newCultureDictionary = App.LoadComponent(new Uri("/resources/" + name + ".xaml", UriKind.Relative)) as ResourceDictionary;
            }
            catch (Exception ex) {}

            if (newCultureDictionary != null)
            {
                if (_currentCultureDictionary != null)
                {
                    Application.Current.Resources.MergedDictionaries.Remove(_currentCultureDictionary);
                }
                _currentCultureDictionary = newCultureDictionary;
                Thread.CurrentThread.CurrentUICulture = new CultureInfo(name);
                this.Resources.MergedDictionaries.Add(newCultureDictionary);
            }
        }
    }
}